Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe.impl
Class EventFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.EModelElementImpl
                      org.eclipse.emf.ecore.impl.EFactoryImpl
                          org.eclipse.hyades.logging.events.cbe.impl.EventFactoryImpl

All Implemented Interfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, EventFactory, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.common.notify.Notifier, javax.naming.Referenceable, java.io.Serializable

public class EventFactoryImpl
extends org.eclipse.emf.ecore.impl.EFactoryImpl
implements EventFactory, java.io.Serializable, javax.naming.Referenceable

An implementation of the model Factory.

Since:
  1.0.1
Version:
  1.0.1.
Author:
  Denilson Nastacio, Paul E. Slauenwhite
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes inherited from class org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`static java.lang.String` | `CBE_INSTANCE_ADDRESS` Name of the reference address for the mediation handlers in JNDI.

Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`EDATE_FORMATS, ePackage`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from interface org.eclipse.hyades.logging.events.cbe.EventFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`EventFactoryImpl()` Creates and instance of the factory.

Method Summary
`org.eclipse.emf.ecore.EObject` | `create(org.eclipse.emf.ecore.EClass eClass)`
`AssociatedEvent` | `createAssociatedEvent()`
`AssociationEngine` | `createAssociationEngine()`
`AvailableSituation` | `createAvailableSituation()`
`CommonBaseEvent` | `createCommonBaseEvent()` Returns a new object of class 'Common Base Event'.
`CommonBaseEvent` | `createCommonBaseEvent(short severity, ComponentIdentification reporterCompId, ComponentIdentification sourceCompId, Situation situation, java.lang.String msg)` Returns a new object of class 'Common Base Event'.
`CommonBaseEvent` | `createCommonBaseEvent(short severity, ComponentIdentification reporterCompId, ComponentIdentification sourceCompId, Situation situation, java.lang.String msgCatalogId, java.lang.String[] msgCatalogTokens, java.lang.String msgId, java.lang.String msg)` Returns a new object of class 'Common Base Event'.
`CommonBaseEvent` | `createCommonBaseEvent(short severity, Situation situation, java.lang.String msg)` Returns a new object of class 'Common Base Event'.
`CommonBaseEvent` | `createCommonBaseEvent(short severity, Situation situation, java.lang.String msgCatalogId, java.lang.String[] msgCatalogTokens, java.lang.String msgId, java.lang.String msg)` Returns a new object of class 'Common Base Event'.
`CommonBaseEvent` | `createCommonBaseEvent(java.lang.String extensionName)` Returns a new object of class 'Common Base Event'.
`CommonBaseEvent` | `createCommonBaseEvent(java.lang.String extensionName, long creationTime)` Returns a new object of class 'Common Base Event'.
`CommonBaseEvent` | `createCommonBaseEventGen()`
`ComponentIdentification` | `createComponentIdentification()`
`ConfigureSituation` | `createConfigureSituation()`
`ConnectSituation` | `createConnectSituation()`
`ContextDataElement` | `createContextDataElement()`
`CreateSituation` | `createCreateSituation()`
`DependencySituation` | `createDependencySituation()`
`DestroySituation` | `createDestroySituation()`
`ExtendedDataElement` | `createExtendedDataElement()`
`FeatureSituation` | `createFeatureSituation()`
`java.lang.String` | `createGlobalInstanceId()` Produces a globally unique identifier according to the Internet draft draft-leach-uuids-guids-01 algorithm.
`MsgCatalogToken` | `createMsgCatalogToken()`
`MsgDataElement` | `createMsgDataElement()`
`OtherSituation` | `createOtherSituation()`
`ReportSituation` | `createReportSituation()`
`RequestSituation` | `createRequestSituation()`
`Situation` | `createSituation()`
`StartSituation` | `createStartSituation()`
`StopSituation` | `createStopSituation()`
`boolean` | `getCompleteEvent()` Gets the complete event configuration flag for this event factory instance.
`ContentHandler` | `getContentHandler()` Gets the `ContentHandler` associated with this event factory instance.
`EventPackage` | `getEventPackage()`
`static EventFactory` | `getInstance()` Accessor method to retrieve the instance of the singleton factory.
`static EventPackage` | `getPackage()`
`javax.naming.Reference` | `getReference()`
`void` | `setCompleteEvent(boolean completeEvent)` Sets the complete event configuration flag for this event factory instance.
`void` | `setContentHandler(ContentHandler value)` Sets the `ContentHandler` associated with this event factory instance.

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, createFromString, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicSet, eDynamicUnset, eGet, eHasSettings, eInternalResource, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eStaticFeatureCount, eStore, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### CBE_INSTANCE_ADDRESS

    public static final java.lang.String CBE_INSTANCE_ADDRESS

  Name of the reference address for the mediation handlers in JNDI.

  The `getReference` method encodes the mediation handlers in their serialized form inside a reference address and uses this name for that address.

  See Also:
    Constant Field Values

Constructor Detail

### EventFactoryImpl

    public EventFactoryImpl()

  Creates and instance of the factory.

Method Detail

### getEventPackage

    public EventPackage getEventPackage()

  Specified by:
    `getEventPackage` in interface `EventFactory`
  Returns:
    the package supported by this factory.

### getPackage

    public static EventPackage getPackage()

### create

    public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

  Specified by:
    `create` in interface `org.eclipse.emf.ecore.EFactory`

### createAssociatedEvent

    public AssociatedEvent createAssociatedEvent()

  Specified by:
    `createAssociatedEvent` in interface `EventFactory`
  Returns:
    a new object of class 'Associated Event'.

### createAssociationEngine

    public AssociationEngine createAssociationEngine()

  Specified by:
    `createAssociationEngine` in interface `EventFactory`
  Returns:
    a new object of class 'Association Engine'.

### createAvailableSituation

    public AvailableSituation createAvailableSituation()

  Specified by:
    `createAvailableSituation` in interface `EventFactory`
  Returns:
    a new object of class 'Available Situation'.

### createCommonBaseEventGen

    public CommonBaseEvent createCommonBaseEventGen()

### createCommonBaseEvent

    public CommonBaseEvent createCommonBaseEvent()

  Description copied from interface: `EventFactory`

  Returns a new object of class 'Common Base Event'.

  Specified by:
    `createCommonBaseEvent` in interface `EventFactory`
  Returns:
    a new object of class 'Common Base Event'.
  See Also:
    `EventFactory.createCommonBaseEvent()`

### createCommonBaseEvent

    public CommonBaseEvent createCommonBaseEvent(java.lang.String extensionName,
                                                 long creationTime)

  Description copied from interface: `EventFactory`

  Returns a new object of class 'Common Base Event'.

  Specified by:
    `createCommonBaseEvent` in interface `EventFactory`
  Parameters:
    `extensionName` - the extension name for the newly returned event or null.
    `creationTime` - the creation time, in xsd:dateTime format, for the newly created event or -1.
  Returns:
    a new object of class 'Common Base Event'.
  See Also:
    `EventFactory.createCommonBaseEvent(String, long)`

### createCommonBaseEvent

    public CommonBaseEvent createCommonBaseEvent(java.lang.String extensionName)

  Description copied from interface: `EventFactory`

  Returns a new object of class 'Common Base Event'.

  Specified by:
    `createCommonBaseEvent` in interface `EventFactory`
  Parameters:
    `extensionName` - the extension name for the newly returned event or null.
  Returns:
    a new object of class 'Common Base Event'.
  See Also:
    `EventFactory.createCommonBaseEvent(String)`

### createCommonBaseEvent

    public CommonBaseEvent createCommonBaseEvent(short severity,
                                                 Situation situation,
                                                 java.lang.String msg)

  Description copied from interface: `EventFactory`

  Returns a new object of class 'Common Base Event'.

  Specified by:
    `createCommonBaseEvent` in interface `EventFactory`
  Parameters:
    `severity` - the severity of the event being created or -1
    `situation` - the situation of the event being created or null
    `msg` - the msg of the CommonBaseEvent created or null
  Returns:
    a new object of class 'Common Base Event'.
  See Also:
    `EventFactory.createCommonBaseEvent(short, org.eclipse.hyades.logging.events.cbe.Situation, java.lang.String)`

### createCommonBaseEvent

    public CommonBaseEvent createCommonBaseEvent(short severity,
                                                 Situation situation,
                                                 java.lang.String msgCatalogId,
                                                 java.lang.String[] msgCatalogTokens,
                                                 java.lang.String msgId,
                                                 java.lang.String msg)

  Description copied from interface: `EventFactory`

  Returns a new object of class 'Common Base Event'.

  Specified by:
    `createCommonBaseEvent` in interface `EventFactory`
  Parameters:
    `severity` - the severity of the event being created or -1
    `situation` - the situation of the event being created or null
    `msgCatalogId` - the msgCatalogId of the MsgDataElement of the CommonBaseEvent being created or null
    `msgCatalogTokens` - the msgCatalogTokens of the MsgDataElement of the CommonBaseEvent being created or null
    `msgId` - the msgId of the MsgDataElement of the CommonBaseEvent being created or null
    `msg` - the msg of the CommonBaseEvent created or null
  Returns:
    a new object of class 'Common Base Event'.
  See Also:
    `EventFactory.createCommonBaseEvent(short, org.eclipse.hyades.logging.events.cbe.Situation, java.lang.String, java.lang.String[], java.lang.String, java.lang.String)`

### createCommonBaseEvent

    public CommonBaseEvent createCommonBaseEvent(short severity,
                                                 ComponentIdentification reporterCompId,
                                                 ComponentIdentification sourceCompId,
                                                 Situation situation,
                                                 java.lang.String msg)

  Description copied from interface: `EventFactory`

  Returns a new object of class 'Common Base Event'.

  Specified by:
    `createCommonBaseEvent` in interface `EventFactory`
  Parameters:
    `severity` - the severity of the event being created or -1
    `reporterCompId` - the reporter component Id of the event being created or null
    `sourceCompId` - the source component Id of the event being created or null
    `situation` - the situation of the event being created or null
    `msg` - the msg of the CommonBaseEvent created or null
  Returns:
    a new object of class 'Common Base Event'.
  See Also:
    `EventFactory.createCommonBaseEvent(short, org.eclipse.hyades.logging.events.cbe.ComponentIdentification, org.eclipse.hyades.logging.events.cbe.ComponentIdentification, org.eclipse.hyades.logging.events.cbe.Situation, java.lang.String)`

### createCommonBaseEvent

    public CommonBaseEvent createCommonBaseEvent(short severity,
                                                 ComponentIdentification reporterCompId,
                                                 ComponentIdentification sourceCompId,
                                                 Situation situation,
                                                 java.lang.String msgCatalogId,
                                                 java.lang.String[] msgCatalogTokens,
                                                 java.lang.String msgId,
                                                 java.lang.String msg)

  Description copied from interface: `EventFactory`

  Returns a new object of class 'Common Base Event'.

  Specified by:
    `createCommonBaseEvent` in interface `EventFactory`
  Parameters:
    `severity` - the severity of the event being created or -1
    `reporterCompId` - the reporter component Id of the event being created or null
    `sourceCompId` - the source component Id of the event being created or null
    `situation` - the situation of the event being created or null
    `msgCatalogId` - the msgCatalogId of the MsgDataElement of the CommonBaseEvent being created or null
    `msgCatalogTokens` - the msgCatalogTokens of the MsgDataElement of the CommonBaseEvent being created or null
    `msgId` - the msgId of the MsgDataElement of the CommonBaseEvent being created or null
    `msg` - the msg of the CommonBaseEvent created or null
  Returns:
    a new object of class 'Common Base Event'.
  See Also:
    `EventFactory.createCommonBaseEvent(short, org.eclipse.hyades.logging.events.cbe.ComponentIdentification, org.eclipse.hyades.logging.events.cbe.ComponentIdentification, org.eclipse.hyades.logging.events.cbe.Situation, java.lang.String, java.lang.String[], java.lang.String, java.lang.String)`

### createComponentIdentification

    public ComponentIdentification createComponentIdentification()

  Specified by:
    `createComponentIdentification` in interface `EventFactory`
  Returns:
    a new object of class 'Component Identification'.

### createConfigureSituation

    public ConfigureSituation createConfigureSituation()

  Specified by:
    `createConfigureSituation` in interface `EventFactory`
  Returns:
    a new object of class 'Configure Situation'.

### createConnectSituation

    public ConnectSituation createConnectSituation()

  Specified by:
    `createConnectSituation` in interface `EventFactory`
  Returns:
    a new object of class 'Connect Situation'.

### createContextDataElement

    public ContextDataElement createContextDataElement()

  Specified by:
    `createContextDataElement` in interface `EventFactory`
  Returns:
    a new object of class 'Context Data Element'.

### createCreateSituation

    public CreateSituation createCreateSituation()

  Specified by:
    `createCreateSituation` in interface `EventFactory`
  Returns:
    a new object of class 'Create Situation'.

### createDependencySituation

    public DependencySituation createDependencySituation()

  Specified by:
    `createDependencySituation` in interface `EventFactory`
  Returns:
    a new object of class 'Dependency Situation'.

### createDestroySituation

    public DestroySituation createDestroySituation()

  Specified by:
    `createDestroySituation` in interface `EventFactory`
  Returns:
    a new object of class 'Destroy Situation'.

### createExtendedDataElement

    public ExtendedDataElement createExtendedDataElement()

  Specified by:
    `createExtendedDataElement` in interface `EventFactory`
  Returns:
    a new object of class 'Extended Data Element'.

### createFeatureSituation

    public FeatureSituation createFeatureSituation()

  Specified by:
    `createFeatureSituation` in interface `EventFactory`
  Returns:
    a new object of class 'Feature Situation'.

### createGlobalInstanceId

    public java.lang.String createGlobalInstanceId()

  Produces a globally unique identifier according to the Internet draft draft-leach-uuids-guids-01 algorithm.

  Specified by:
    `createGlobalInstanceId` in interface `EventFactory`
  Returns:
    a globally unique identifier according to the algorith above.

### createMsgCatalogToken

    public MsgCatalogToken createMsgCatalogToken()

  Specified by:
    `createMsgCatalogToken` in interface `EventFactory`
  Returns:
    a new object of class 'Msg Catalog Token'.

### createMsgDataElement

    public MsgDataElement createMsgDataElement()

  Specified by:
    `createMsgDataElement` in interface `EventFactory`
  Returns:
    a new object of class 'Msg Data Element'.

### createOtherSituation

    public OtherSituation createOtherSituation()

  Specified by:
    `createOtherSituation` in interface `EventFactory`
  Returns:
    a new object of class 'Other Situation'.

### createReportSituation

    public ReportSituation createReportSituation()

  Specified by:
    `createReportSituation` in interface `EventFactory`
  Returns:
    a new object of class 'Report Situation'.

### createRequestSituation

    public RequestSituation createRequestSituation()

  Specified by:
    `createRequestSituation` in interface `EventFactory`
  Returns:
    a new object of class 'Request Situation'.

### createSituation

    public Situation createSituation()

  Specified by:
    `createSituation` in interface `EventFactory`
  Returns:
    a new object of class 'Situation'.

### createStartSituation

    public StartSituation createStartSituation()

  Specified by:
    `createStartSituation` in interface `EventFactory`
  Returns:
    a new object of class 'Start Situation'.

### createStopSituation

    public StopSituation createStopSituation()

  Specified by:
    `createStopSituation` in interface `EventFactory`
  Returns:
    a new object of class 'Stop Situation'.

### setContentHandler

    public void setContentHandler(ContentHandler value)

  Description copied from interface: `EventFactory`
  Sets the `ContentHandler` associated with this event factory instance.

  `ContentHandler`s associated with this event factory instance are assigned to each newly create event instance.

  Specified by:
    `setContentHandler` in interface `EventFactory`
  Parameters:
    `value` - The new `ContentHandler` associated with this event factory instance.

### getContentHandler

    public ContentHandler getContentHandler()

  Description copied from interface: `EventFactory`
  Gets the `ContentHandler` associated with this event factory instance.

  `ContentHandler`s associated with this event factory instance are assigned to each newly create event instance.

  Specified by:
    `getContentHandler` in interface `EventFactory`
  Returns:
    The `ContentHandler` associated with this event factory instance, otherwise null.

### setCompleteEvent

    public void setCompleteEvent(boolean completeEvent)

  Description copied from interface: `EventFactory`
  Sets the complete event configuration flag for this event factory instance.

  The complete event configuration flag instructs the event factory instance to automatically complete newly create event instances using the `ContentHandler` associated with this event factory instance, if any.

  If the complete event configuration flag is false, the event factory will not automatically complete newly create event instances.

  By default, the complete event configuration flag is false.

  Specified by:
    `setCompleteEvent` in interface `EventFactory`
  Parameters:
    `completeEvent` - The complete event configuration flag.

### getCompleteEvent

    public boolean getCompleteEvent()

  Description copied from interface: `EventFactory`
  Gets the complete event configuration flag for this event factory instance.

  The complete event configuration flag instructs the event factory instance to automatically complete newly create event instances using the `ContentHandler` associated with this event factory instance, if any.

  If the complete event configuration flag is false, the event factory will not automatically complete newly create event instances.

  By default, the complete event configuration flag is false.

  Specified by:
    `getCompleteEvent` in interface `EventFactory`
  Returns:
    True if the complete event configuration flag is set, otherwise false.

### getReference

    public javax.naming.Reference getReference()
                                        throws javax.naming.NamingException

  Specified by:
    `getReference` in interface `javax.naming.Referenceable`
  Throws:
    `javax.naming.NamingException`
  See Also:
    `Referenceable.getReference()`

### getInstance

    public static EventFactory getInstance()

  Accessor method to retrieve the instance of the singleton factory.

  Returns:
    EventFactory

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD